#ifndef __Expression_h__
#define __Expression_h__

#include "MString.h"

namespace  jet {

   class Expression : public coreutils::MString {

    public:
      Expression(coreutils::ZString &in);
      virtual ~Expression();

      bool getBooleanResult();
      double getNumericResult();
      coreutils::ZString getStringResult();
      bool boolean;
      coreutils::ZString string;
      char *operation;
   };

}

#endif
